upgrade confluence complains about directory already exists

I am trying to upgrade confluence to the latest version but I can't get it to work. I had the same problem with the latest version 4.x version

The problem is that I have confluence installed in /home/opensource/confluence, following is the output from running the command on a Ubuntu machine.

Strange thing is that it ask if it is clean or upgrade and offers number 3 as default (which does not exist).

When I pick the existing folder it tells me it can't install it there because it already exists.

Any suggestions?

------------------------------------------------------------------------------------------------------------------
bash ./atlassian-confluence-5.0.3-x64.bin 
Unpacking JRE ...
Starting Installer ...

This will install Confluence 5.0.3 on your computer.
OK [o, Enter], Cancel [c]

Choose the appropriate installation or upgrade option.
Please choose one of the following:
Express Install (uses default settings) [1], Custom Install (recommended for advanced users) [2, Enter], Upgrade an existing Confluence installation [3]


Where should Confluence 5.0.3 be installed?
[/opt/atlassian/confluence]
/home/opensource/confluence
It appears that Confluence is already installed in the directory you selected.  Please choose a different directory.

Where should Confluence 5.0.3 be installed?
[/home/opensource/confluence]
^Croot@rizzo:/home/opensource# bash ./atlassian-confluence-5.0.3-x64.bin 
Unpacking JRE ...
Starting Installer ...

This will install Confluence 5.0.3 on your computer.
OK [o, Enter], Cancel [c]

Choose the appropriate installation or upgrade option.
Please choose one of the following:
Express Install (uses default settings) [1], Custom Install (recommended for advanced users) [2, Enter], Upgrade an existing Confluence installation [3]
2

Where should Confluence 5.0.3 be installed?
[/opt/atlassian/confluence]
/home/opensource/confluence
It appears that Confluence is already installed in the directory you selected.  Please choose a different directory.

Where should Confluence 5.0.3 be installed?
[/home/opensource/confluence]

1 answer

1 accepted

This widget could not be displayed.

3 is the option to upgrade. I don't see you giving that. If you try new install, you will have o choose another directory.

Thanks, now I feel even more stupid since I thought that 3 was the default value.

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted yesterday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

208 views 2 4
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you